Bug 2517 - "net ads info" does NOT work; "net ads testjoin" does work
"net ads info" does NOT work; "net ads testjoin" does work
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.12
x86 Linux
: P3 normal
: none
Assigned To: Jim McDonough
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-22 08:25 UTC by Alex de Vaal
Modified: 2005-08-24 10:16 UTC (History)
0 users

See Also:


Attachments
use the realm from smb.conf when 'disable netbios = yes' (571 bytes, patch)
2005-03-22 09:34 UTC, Gerald (Jerry) Carter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex de Vaal 2005-03-22 08:25:53 UTC
"net ads info" responds with "Didn't find the ldap server!"

The problem can be found here:

debug level 10 of "net ads info" shows an empty domain:
[2005/03/22 16:08:16, 6] libads/ldap.c:ads_find_dc(214)
  ads_find_dc: looking for domain ''

debug level 10 of "net ads testjoin" shows the domain:
[2005/03/22 16:12:14, 6] libads/ldap.c:ads_find_dc(214)
  ads_find_dc: looking for realm 'NH-HOTELES.COM'


Subjoined complete debug level 10 output of "net ads info" and "net ads testjoin"

[root@dussel samba]# net ads info
Didn't find the ldap server!

debug level 10 of "net ads info"

[root@dussel samba]# net ads info -d10
[2005/03/22 16:08:16, 5] lib/debug.c:debug_dump_status(366)
  INFO: Current debug levels:
    all: True/10
    tdb: False/0
    printdrivers: False/0
    lanman: False/0
    smb: False/0
    rpc_parse: False/0
    rpc_srv: False/0
    rpc_cli: False/0
    passdb: False/0
    sam: False/0
    auth: False/0
    winbind: False/0
    vfs: False/0
    idmap: False/0
    quota: False/0
    acls: False/0
[2005/03/22 16:08:16, 3] param/loadparm.c:lp_load(3907)
  lp_load: refreshing parameters
[2005/03/22 16:08:16, 3] param/loadparm.c:init_globals(1321)
  Initialising global parameters
[2005/03/22 16:08:16, 3] param/params.c:pm_process(573)
  params.c:pm_process() - Processing configuration file "/etc/samba/smb.conf"
[2005/03/22 16:08:16, 3] param/loadparm.c:do_section(3409)
  Processing section "[global]"
  doing parameter workgroup = NH-HOTELES
  doing parameter realm = NH-HOTELES.COM
  doing parameter server string = %h server (Samba %v)
  doing parameter security = ADS
  doing parameter password server = 192.168.100.101, 10.0.0.156
  doing parameter ldap timeout = 11
  doing parameter winbind cache time = 660
  doing parameter log file = /var/log/samba/%m.log
  doing parameter socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
  doing parameter printcap cache time = 660
  doing parameter domain master = No
  doing parameter idmap uid = 10000-20000
  doing parameter idmap gid = 10000-20000
  doing parameter template homedir = /data/hom/%U
  doing parameter template shell = /bin/bash
  doing parameter printer admin = root, "@NH-HOTELES.COM\Domain Admins", @NH-HOT
ELES.COM\DEP_ADMIN_GERMANY
  doing parameter oplocks = No
  doing parameter level2 oplocks = No
  doing parameter disable netbios = Yes
[2005/03/22 16:08:16, 4] param/loadparm.c:lp_load(3938)
  pm_process() returned Yes
[2005/03/22 16:08:16, 7] param/loadparm.c:lp_servicenumber(4048)
  lp_servicenumber: couldn't find homes
[2005/03/22 16:08:16, 10] param/loadparm.c:set_server_role(3856)
  set_server_role: role = ROLE_DOMAIN_MEMBER
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(103)
  Attempting to register new charset UCS-2LE
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(111)
  Registered charset UCS-2LE
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(103)
  Attempting to register new charset UTF-16LE
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(111)
  Registered charset UTF-16LE
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(103)
  Attempting to register new charset UCS-2BE
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(111)
  Registered charset UCS-2BE
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(103)
  Attempting to register new charset UTF-16BE
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(111)
  Registered charset UTF-16BE
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(103)
  Attempting to register new charset UTF8
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(111)
  Registered charset UTF8
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(103)
  Attempting to register new charset UTF-8
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(111)
  Registered charset UTF-8
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(103)
  Attempting to register new charset ASCII
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(111)
  Registered charset ASCII
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(103)
  Attempting to register new charset 646
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(111)
  Registered charset 646
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(103)
  Attempting to register new charset ISO-8859-1
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(111)
  Registered charset ISO-8859-1
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(103)
  Attempting to register new charset UCS2-HEX
[2005/03/22 16:08:16, 5] lib/iconv.c:smb_register_charset(111)
  Registered charset UCS2-HEX
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/charcnv.c:charset_name(81)
  Substituting charset 'UTF-8' for LOCALE
[2005/03/22 16:08:16, 5] lib/util.c:init_names(256)
  Netbios name list:-
  my_netbios_names[0]="DUSSEL"
[2005/03/22 16:08:16, 2] lib/interface.c:add_interface(81)
  added interface ip=192.168.100.151 bcast=192.168.100.255 nmask=255.255.255.0
[2005/03/22 16:08:16, 6] libads/ldap.c:ads_find_dc(214)
  ads_find_dc: looking for domain ''
[2005/03/22 16:08:16, 8] libsmb/namequery.c:get_sorted_dc_list(1433)
  get_sorted_dc_list: attempting lookup using [lmhosts wins host bcast]
[2005/03/22 16:08:16, 10] libsmb/namequery.c:get_dc_list(1419)
  get_dc_list: defaulting to internal auto lookup for domain
[2005/03/22 16:08:16, 10] libsmb/namequery.c:internal_resolve_name(1028)
  internal_resolve_name: looking up #1c
[2005/03/22 16:08:16, 5] lib/gencache.c:gencache_init(59)
  Opening cache file at /var/lib/samba/gencache.tdb
[2005/03/22 16:08:16, 10] lib/gencache.c:gencache_get(285)
  Cache entry with key = NBT/#1C couldn't be found
[2005/03/22 16:08:16, 5] libsmb/namecache.c:namecache_fetch(195)
  no entry for #1C found.
[2005/03/22 16:08:16, 10] lib/gencache.c:gencache_del(214)
  Deleting cache entry (key = NBT/#1C)
[2005/03/22 16:08:16, 3] libsmb/namequery.c:resolve_lmhosts(855)
  resolve_lmhosts: Attempting lmhosts lookup for name <0x1c>
[2005/03/22 16:08:16, 4] libsmb/namequery.c:getlmhostsent(606)
  getlmhostsent: lmhost entry: 127.0.0.1 localhost
[2005/03/22 16:08:16, 5] libsmb/namequery.c:resolve_wins(745)
  resolve_wins(#1c): netbios is disabled
[2005/03/22 16:08:16, 5] libsmb/namequery.c:resolve_hosts(910)
  resolve_hosts: not appropriate for name type <0x1c>
[2005/03/22 16:08:16, 5] libsmb/namequery.c:name_resolve_bcast(683)
  name_resolve_bcast(#1c): netbios is disabled
[2005/03/22 16:08:16, 10] intl/lang_tdb.c:lang_tdb_init(135)
  lang_tdb_init: /usr/lib/samba/en_US.UTF-8.msg: No such file or directory
Didn't find the ldap server!
[2005/03/22 16:08:16, 2] utils/net.c:main(897)
  return code = -1



debug level 10 of "net ads testjoin"


[2005/03/22 16:12:14, 5] lib/util.c:init_names(256)
  Netbios name list:-
  my_netbios_names[0]="DUSSEL"
[2005/03/22 16:12:14, 2] lib/interface.c:add_interface(81)
  added interface ip=192.168.100.151 bcast=192.168.100.255 nmask=255.255.255.0
[2005/03/22 16:12:14, 6] libads/ldap.c:ads_find_dc(214)
  ads_find_dc: looking for realm 'NH-HOTELES.COM'
[2005/03/22 16:12:14, 8] libsmb/namequery.c:get_sorted_dc_list(1433)
  get_sorted_dc_list: attempting lookup using [ads]
[2005/03/22 16:12:14, 10] libsmb/namequery.c:remove_duplicate_addrs2(320)
  remove_duplicate_addrs2: looking for duplicate address/port pairs
[2005/03/22 16:12:14, 4] libsmb/namequery.c:get_dc_list(1406)
  get_dc_list: returning 2 ip addresses in an ordered list
[2005/03/22 16:12:14, 4] libsmb/namequery.c:get_dc_list(1407)
  get_dc_list: 192.168.100.101:389 10.0.0.156:389
[2005/03/22 16:12:14, 5] libads/ldap.c:ads_try_connect(123)
  ads_try_connect: trying ldap server '192.168.100.101' port 389
[2005/03/22 16:12:14, 3] libads/ldap.c:ads_connect(285)
  Connected to LDAP server 192.168.100.101
[2005/03/22 16:12:14, 3] libads/ldap.c:ads_server_info(2469)
  got ldap server name nhadm02@NH-HOTELES.COM, using bind path: dc=NH-HOTELES,dc
=COM
[2005/03/22 16:12:14, 4] libads/ldap.c:ads_server_info(2475)
  time offset is -6 seconds
[2005/03/22 16:12:14, 4] libads/sasl.c:ads_sasl_bind(447)
  Found SASL mechanism GSS-SPNEGO
[2005/03/22 16:12:14, 3] libads/sasl.c:ads_sasl_spnego_bind(204)
  ads_sasl_spnego_bind: got OID=1 2 840 48018 1 2 2
[2005/03/22 16:12:14, 3] libads/sasl.c:ads_sasl_spnego_bind(204)
  ads_sasl_spnego_bind: got OID=1 2 840 113554 1 2 2
[2005/03/22 16:12:14, 3] libads/sasl.c:ads_sasl_spnego_bind(204)
  ads_sasl_spnego_bind: got OID=1 2 840 113554 1 2 2 3
[2005/03/22 16:12:14, 3] libads/sasl.c:ads_sasl_spnego_bind(204)
  ads_sasl_spnego_bind: got OID=1 3 6 1 4 1 311 2 2 10
[2005/03/22 16:12:14, 3] libads/sasl.c:ads_sasl_spnego_bind(211)
  ads_sasl_spnego_bind: got server principal name =nhadm02$@NH-HOTELES.COM
[2005/03/22 16:12:14, 3] libsmb/clikrb5.c:ads_krb5_mk_req(381)
  ads_krb5_mk_req: krb5_cc_get_principal failed (No credentials cache found)
[2005/03/22 16:12:14, 3] libsmb/clikrb5.c:ads_cleanup_expired_creds(318)
  Ticket in ccache[MEMORY:net_ads] expiration Wed, 23 Mar 2005 02:12:08 GMT
[2005/03/22 16:12:14, 10] libsmb/clikrb5.c:ads_krb5_mk_req(408)
  ads_krb5_mk_req: Ticket (nhadm02$@NH-HOTELES.COM) in ccache (MEMORY:net_ads) i
s valid until: (Wed, 23 Mar 2005 02:12:08 GMT - 1111540328)
[2005/03/22 16:12:14, 10] libsmb/clikrb5.c:get_krb5_smb_session_key(509)
  Got KRB5 session key of length 16
Join is OK
[2005/03/22 16:12:14, 2] utils/net.c:main(897)
  return code = 0
Comment 1 Gerald (Jerry) Carter 2005-03-22 09:34:15 UTC
Created attachment 1061 [details]
use the realm from smb.conf when 'disable netbios = yes'
Comment 2 Gerald (Jerry) Carter 2005-03-22 09:34:29 UTC
fixed in svn.
Comment 3 Alex de Vaal 2005-03-23 07:00:12 UTC
applied patch to 3.0.12 and tested. It's Ok now.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:16:09 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.